## START: Set by rpmautospec
## (rpmautospec version 0.8.1)
## RPMAUTOSPEC: autorelease
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global _distro_extra_ldflags -fuse-ld=lld

%global forgeurl https://git.sr.ht/~sircmpwn/hare-update
%global tag      0.25.2.0

%forgemeta

Summary:        Hare tool to assist in migrating Hare codebases
Name:           hare-update
License:        EUPL-1.2

Version:        %{tag}
Release:        %autorelease

URL:            %{forgeurl}
Source:         %{forgesource}

BuildRequires:  gcc
BuildRequires:  hare
BuildRequires:  lld
BuildRequires:  make

ExclusiveArch:  %{hare_arches}


%description
hare-update is a Hare add-on which assists in migrating a Hare codebases to a
newer release of Hare by scanning your code, identifying areas impacted by
breaking changes, and suggesting the appropriate fix.


%prep
%forgesetup


%generate_buildrequires
%hare_buildrequires


%build
%make_build HAREFLAGS="%build_hareflags"


%install
%make_install PREFIX=%{_prefix}


%files
%{hare_tooldir}/%{name}
%license COPYING


%changelog
* Fri Jul 11 2025 Dridi Boukelmoune <dridi.boukelmoune@gmail.com> - 0.25.2.0-1
- Initial packaging
